<?php

namespace Drupal\cms_content_sync\Controller;

use Drupal\cms_content_sync\Plugin\Type\EntityHandlerPluginManager;
use Drupal\Core\Controller\ControllerBase;

/**
 * Class Introduction provides a static page describing how
 * Content Sync can be used.
 */
class Introduction extends ControllerBase
{
    /**
     * @return array the content array to theme the introduction
     */
    public function content()
    {
        // Show deprecation warning.
        self::showDeprecationWarning();

        return [
            '#supported_entity_types' => EntityHandlerPluginManager::getEntityTypes(),
            '#theme' => 'cms_content_sync_introduction',
        ];
    }

    public static function showDeprecationWarning()
    {
        \Drupal::messenger()->addWarning(t('This version of Content Sync is deprecated and will no longer be supported after February 1st 2022. Please update to v2.1.'));
    }
}
